import { EditorState } from "draft-js";
import { SelectionState } from "draft-js";

var moveCaretAfterBlock = function moveCaretAfterBlock(editorState, block) {
  var content = editorState.getCurrentContent();
  var nextBlock = content.getBlockAfter(block.getKey());
  var key = nextBlock ? nextBlock.getKey() : undefined;

  if (key) {
    var selectionState = SelectionState.createEmpty();
    var newSelectionState = selectionState.merge({
      anchorKey: key,
      anchorOffset: 0,
      focusKey: key,
      focusOffset: 0
    });
    return EditorState.forceSelection(editorState, newSelectionState);
  }

  return editorState;
};

export default moveCaretAfterBlock;