import { SelectionState } from "draft-js";
import { EditorState } from "draft-js";

var selectBlockByKey = function selectBlockByKey(editorState, key) {
  var currentBlock = editorState.getCurrentContent().getBlockForKey(key);
  var selectionState = SelectionState.createEmpty();
  var entireBlockSelectionState = selectionState.merge({
    anchorKey: key,
    anchorOffset: 0,
    focusKey: key,
    focusOffset: currentBlock.getText().length
  });
  return EditorState.forceSelection(editorState, entireBlockSelectionState);
};

export default selectBlockByKey;