import { RichUtils } from "draft-js";
import { EditorState } from "draft-js";
import { Modifier } from "draft-js";
import { Map } from 'immutable';

var toggleBlockStyle = function toggleBlockStyle(editorState, _ref) {
  var blockStyle = _ref.type,
      data = _ref.data;

  /* istanbul ignore else */
  if (data) {
    var selection = editorState.getSelection();
    var newContentState = Modifier.mergeBlockData(editorState.getCurrentContent(), selection, Map(data));
    var newEditorState = EditorState.push(editorState, newContentState, 'change-block-data');
    return RichUtils.toggleBlockType(newEditorState, blockStyle);
  } // We currently always have data, but just in case we add new types in the
  // future, the default action is to just blindly toggle it.

  /* istanbul ignore next */


  return RichUtils.toggleBlockType(editorState, blockStyle);
};

export default toggleBlockStyle;